%Evaluation of testseries II
%Channel + Body, with VGs
clf;	%clean up plot-window
clear;	%clean up old variables
clc;	%clean up old plots in M-window
A_emty=(0.025*0.4+0.18*2*0.005);    %frontal area of empty channel 
A_body=0.093*0.4;                   %frontal area of generic body
Area=A_emty+A_body;                 %area of channel with body
Ro=1.225;                           %air density

% value X1 = [m/s], X2 = [N] where X=D,E,F,H,I,K,L,O,P,Q
load korning04.txt
D1=(korning04(1:14,1));D2=(korning04(1:14,2));	%40deg boat 5mm VG conterrotating
for i=1:14
    Cd_D(i)=D2(i)/((0.5*Ro*Area)*D1(i).^2);
end
load korning05.txt
E1=(korning05(1:12,1));E2=(korning05(1:12,2));	%40deg boat 5mm VG corotating 20mm
for i=1:12
    Cd_E(i)=E2(i)/((0.5*Ro*Area)*E1(i).^2);
end
load korning06.txt
F1=(korning06(1:12,1));F2=(korning06(1:12,2));	%40deg boat 5mm VG corotating 40mm
for i=1:12
    Cd_F(i)=F2(i)/((0.5*Ro*Area)*F1(i).^2);
end
load korning08.txt
H1=(korning08(1:10,1));H2=(korning08(1:10,2));	%40deg boat 10mm VG 20mm corotating
for i=1:10
    Cd_H(i)=H2(i)/((0.5*Ro*Area)*H1(i).^2);
end
load korning09.txt
I1=(korning09(1:11,1));I2=(korning09(1:11,2));	%40deg boat 10mm VG 40mm corotating
for i=1:11
    Cd_I(i)=I2(i)/((0.5*Ro*Area)*I1(i).^2);
end
load korning11.txt
K1=(korning11(1:12,1));K2=(korning11(1:12,2));	%40deg boat 15mm VG conterrotating
for i=1:12
    Cd_K(i)=K2(i)/((0.5*Ro*Area)*K1(i).^2);
end
load korning12.txt
L1=(korning12(1:11,1));L2=(korning12(1:11,2));	%40deg boat 15mmVG 40mm corotating
for i=1:11
    Cd_L(i)=L2(i)/((0.5*Ro*Area)*L1(i).^2);
end
load korning15.txt
O1=(korning15(1:10,1));O2=(korning15(1:10,2));	%60deg boat 5mmVG 20mm corotating
for i=1:10
    Cd_O(i)=O2(i)/((0.5*Ro*Area)*O1(i).^2);
end
load korning16.txt
P1=(korning16(1:10,1));P2=(korning16(1:10,2));	%60deg boat 10mmVG 40mmcorotating
for i=1:10
    Cd_P(i)=P2(i)/((0.5*Ro*Area)*P1(i).^2);
end
load korning17.txt
Q1=(korning17(1:11,1));Q2=(korning17(1:11,2));	%60deg boat 15mmVG 40mm corotating
for i=1:11
    Cd_Q(i)=Q2(i)/((0.5*Ro*Area)*Q1(i).^2);
   Q2(i)=Q2(i)-(0.0000001*Q1(i).^4.4+0.04*Q1(i).^1.555+0.035*Q1(i)-1.5);
end

hold on
plot(D1,Cd_D,'g--')	    %40deg 5mmVG conterrotating
plot(E1,Cd_E,'g-+')		%40deg boat 5mmVG 20mm corotating
plot(F1,Cd_F,'g-*')		%40deg boat 5mmVG 40mm corotating
plot(H1,Cd_H,'m--')		%40deg boat 10mmVG 20mm corotating
plot(I1,Cd_I,'m-+')		%40deg boat 10mmVG 40mm corotating
plot(K1,Cd_K,'k--')		%40deg boat 15mmVG conterrotating
plot(L1,Cd_L,'k-+')		%40deg boat 15mmVG 40mm corotating
plot(O1,Cd_O,'r--')		%60deg boat 5mmVG 20mm corotating
plot(P1,Cd_P,'r-+')		%60deg boat 10mmVG 40mm corotating
plot(Q1,Cd_Q,'r-*')		%60deg boat 15mmVG 40mm corotating
hold off
legend('40tail,VGh=5','40tail,VGh=5','40tail,VGh=5',...
        '40tail,VGh=10','40tail,VGh=10','40tail,VGh=15','40tail,VGh=15',...
        '60tail,VGh=5','60tail,VGh=10','60tail,VGh=15',0)
xlabel('m/s');ylabel('Cd');
