%Evaluation of testseries II
%Channel + Body, no VGs
clf;	%clean up plot-window
clear;	%clean up old variables
clc;	%clean up old plots in M-window
A_emty=(0.025*0.4+0.18*2*0.005);    %frontal area of empty channel 
A_body=0.093*0.4;                   %frontal area of generic body
Area=A_emty+A_body;                 %area of channel with body
Ro=1.225;                           %air density

% value X1 = [m/s], X2 = [N] where X=B,C,G,J,M,N,R
load korning02.txt
B1=(korning02(1:15,1));B2=(korning02(1:15,2));	%squared rear end
for i=1:15
    Cd_B(i)=B2(i)/((0.5*Ro*Area)*B1(i).^2);
end
load korning03.txt
C1=(korning03(1:14,1));C2=(korning03(1:14,2));	%20deg boattail
for i=1:14
    Cd_C(i)=C2(i)/((0.5*Ro*Area)*C1(i).^2);
end
load korning07.txt
G1=(korning07(1:12,1));G2=(korning07(1:12,2));	%40deg boat no VG
for i=1:12
   Cd_G(i)=G2(i)/((0.5*Ro*Area)*G1(i).^2);
end
load korning10.txt
J1=(korning10(1:11,1));J2=(korning10(1:11,2));	%40deg boat no VG
for i=1:11
    Cd_J(i)=J2(i)/((0.5*Ro*Area)*J1(i).^2);
end
load korning13.txt
M1=(korning13(1:11,1));M2=(korning13(1:11,2));	%50deg boat noVG
for i=1:11
    Cd_M(i)=M2(i)/((0.5*Ro*Area)*M1(i).^2);
end
load korning14.txt
N1=(korning14(1:11,1));N2=(korning14(1:11,2));	%60deg boat noVG
for i=1:11
    Cd_N(i)=N2(i)/((0.5*Ro*Area)*N1(i).^2);
end
load korning18.txt
R1=(korning18(1:11,1));R2=(korning18(1:11,2));	%20deg boat noVG
for i=1:11
    Cd_R(i)=R2(i)/((0.5*Ro*Area)*R1(i).^2);
end

hold on
plot(B1,Cd_B,'k-*')		%squared end
plot(C1,Cd_C,'k-+')		%20deg boattail
plot(G1,Cd_G,'r-^')		%40deg boat noVG
plot(J1,Cd_J,'r-<')		%40deg boat noVG
plot(M1,Cd_M,'m*-')		%50deg boat noVG
plot(N1,Cd_N)			%60deg boat noVG
plot(R1,Cd_R,'m-+')		%20deg boattail
hold off
legend('squared end','20tail,noVG','40tail,noVG','40tail,noVG','50tail,noVG',...
        '60tail,noVG','20tail,noVG',0)
xlabel('m/s');ylabel('Cd');

%average Cd for the measured values:
sumB=mean(Cd_B);	%squared end
sumC=mean(Cd_C);	%20deg boattail
sumG=mean(Cd_G);	%40deg boat noVG
sumJ=mean(Cd_J);	%40deg boat noVG
sumM=mean(Cd_M);	%50deg boat noVG
sumN=mean(Cd_N);	%60deg boat noVG
sumR=mean(Cd_R);	%20deg boattail
Cd_value=[sumC sumR sumG sumJ sumM sumN  sumB];

figure
bar(Cd_value)
title('average Cd for noVG-tails')
legend('1 = 20 deg boattail','2 = 20 deg boattail','3 = 40 deg boattail','4 = 40 deg boattail',...
        '5 = 50 deg boattail','6 = 60 deg boattail','7 = squared end',0)
ylabel('averaged Cd');
ylim([0.4 0.45])